import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (p, o, s, t) => {
  for (var e = t > 1 ? void 0 : t ? m(o, s) : o, n = p.length - 1, c; n >= 0; n--)
    (c = p[n]) && (e = (t ? c(o, s, e) : c(e)) || e);
  return t && e && a(o, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chevronDown", this.class = "c-pieIcon c-pieIcon--chevronDown", this.name = "IconChevronDown";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chevronDown"><path d="M2.82 5.044 8 10.399 13.197 5l.963.875-5.364 5.565a1.164 1.164 0 0 1-1.636 0L1.875 5.945l.945-.901Z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = i([
  v("icon-chevron-down")
], r);
export {
  r as IconChevronDown
};
